#!/bin/sh
#check vo mode for SDI vo
vofile="/mnt/mtd/nfsdir/VoMode"

tar -C /tmp_run/ -zxf /mnt/mtd/nfsdir/bin/driver.tar
cd /tmp_run/driver &&  ./load3516 -i
rm -rf /tmp_run/*
tar -C /tmp_run/ -zxf /mnt/mtd/nfsdir/bin/app.tar
if [ -f /mnt/mtd/nfsdir/bin/ipcamera ];
then
    cp /mnt/mtd/nfsdir/bin/ipcamera /tmp_run/
fi

if [ -f /mnt/mtd/nfsdir/bin/mtd-init.sh ];
then
if (!(diff /mnt/mtd/init.sh /mnt/mtd/nfsdir/bin/mtd-init.sh -s));
then
                echo /mnt/mtd/init.sh is diffent
                cp /mnt/mtd/nfsdir/bin/mtd-init.sh /mnt/mtd/init.sh -f
fi
fi

mknod /dev/ds1307 c 50 0

sleep 2

rm -f /etc/resolv.conf
if ! [ -d /etc/ppp ];
then
        mkdir /etc/ppp
fi
echo > /etc/ppp/resolv.conf

if ! [ -L /etc/resolv.conf ];
then
        ln -s /etc/ppp/resolv.conf /etc/resolv.conf
fi

if ! [ -d /mnt/mtd/flash ];
then
    mkdir /mnt/mtd/flash
fi

#reset
himm 0x200f012c 0x00
#sensor alarm
himm 0x200f0118 0x00
himm 0x200f011c 0x00
#ptz
himm 0x200f0098 0x1
himm 0x200f00a0 0x1

#irc
himm 0x200f0120 0

#reset sensor gpio5_1
himm 0x200f0084 0x0
#sensor power gpio10_3
himm 0x200f0148 0x0

#light sensor gpio3_3,input
himm 0x200f004c 0x1
himm 0x20180400 0x0
#infrared  lamp gpio9_5
himm 0x200f0128 0x0
himm 0x20210400 0x22
himm 0x20210080 0x20

#nvp2400 busy ping gpio4_4
himm 0x200f0070 0x0

#fan open,gpio 2_0,1_7,out,high
himm 0x200f0020 0x1
himm 0x200f001c 0x1
#himm 0x20170400 0x1
#himm 0x20160400 0x80
#himm 0x20170004 0x1
#himm 0x20160200 0x80

#alarm in,9_2,2_4,2_3,2_2,alarm out9_1,hot 2_1
himm 0x200f011c 0x0
himm 0x200f0118 0x0
himm 0x200f0030 0x1
himm 0x200f002c 0x1
himm 0x200f0028 0x1
#alarm in E F G
himm 0x200f001c 0x1
himm 0x200f0020 0x1
himm 0x200f0024 0x1

#uart 2
himm 0x200f0100 0x1
himm 0x200f0104 0x1
himm 0x20210080 0x0

# software reset
if [ -f /mnt/mtd/nfsdir/ResetFlag ]
then
    rm -f /mnt/mtd/nfsdir/ResetFlag
    rm -f /mnt/mtd/flash/*
fi

cp /mnt/mtd/nfsdir/bin/S00devs /etc/init.d/ -f

if [ -f /tmp_run/FacConf ]
then
        cp /tmp_run/FacConf /mnt/mtd/nfsdir/FacConf -f
fi

if [ -f /mnt/mtd/nfsdir/icon.JPG ]
then
        cp /mnt/mtd/nfsdir/icon.JPG /tmp_run/WebPage/
fi
if [ -f /mnt/mtd/nfsdir/title_icon.JPG ]
then
        cp /mnt/mtd/nfsdir/title_icon.JPG /tmp_run/WebPage/
fi

if [ -f /tmp_run/passwd ]                 
then                                               
        cp /tmp_run/passwd /etc/passwd
fi

if [ -f /tmp_run/passwd- ]                 
then                                               
        cp /tmp_run/passwd- /etc/passwd-
fi

if [ -f /mnt/mtd/nfsdir/certKey.spc ] && [ -f /mnt/mtd/nfsdir/certKey.pem ]
then
				/tmp_run/osslsigncode remove-signature -in /tmp_run/WebPage/SuperClientEx.exe -out /tmp_run/WebPage/SuperClientEx2.exe
				rm -f /tmp_run/WebPage/SuperClientEx.exe
				/tmp_run/osslsigncode sign -certs /mnt/mtd/nfsdir/certKey.spc -key /mnt/mtd/nfsdir/certKey.pem -in /tmp_run/WebPage/SuperClientEx2.exe -out /tmp_run/WebPage/SuperClientEx.exe
				rm -f /tmp_run/WebPage/SuperClientEx2.exe
fi

cd /tmp_run/
/tmp_run/ipcamera reset
/tmp_run/ipcamera &
